NVIDIA Windows GPU 顯示驅動程式 (2022 年 8 月)

high Nessus Plugin ID 163887

Synopsis

遠端 Windows 主機上的 NVIDIA GPU 顯示驅動程式軟體缺少廠商提供的修補程式。

描述

遠端 Windows 主機上安裝的顯示驅動程式受到一個弱點影響:

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中, DxgkDdiEscape 的核心模式層 (nvlddmkm.sys) 處理常式中有一個弱點,因爲無法正確驗證資料,具有基本使用者功能的攻擊者可藉此在核心中造成超出邊界存取,進而可執行拒絕服務、資訊洩漏、權限提升或資料竄改等攻擊。(CVE-2022-31606)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,核心模式層 (nvlddmkm.sys) 中有一個弱點,具有基本功能的本機使用者可利用此弱點造成超出邊界寫入,進而可觸發程式碼執行、拒絕服務、權限提升、資訊洩漏或資料竄改等攻擊。(CVE-2022-31610)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,DxgkDdiEscape 的核心模式層 (nvlddmkm.sys) 中有一個弱點,具有基本功能的本機使用者可利用此弱點造成超出邊界讀取,進而可導致系統崩潰或內部核心資訊洩漏。(CVE-2022-31612)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,核心模式層中有一個弱點 ,本機使用者可利用此弱點造成程式解除參照 NULL 指標,進而導致核心錯誤。(CVE-2022-31613)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,DxgkDdiEscape 的核心模式層 (nvlddmkm.sys) 中有一個弱點,具有基本功能的本機使用者可利用此弱點造成超出邊界讀取,進而觸發拒絕服務或資訊洩漏。(CVE-2022-31616)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,核心模式層 (nvlddmkm.sys) 中有一個弱點,具有基本功能的本機使用者可利用此弱點造成超出邊界讀取,進而可觸發程式碼執行、拒絕服務、權限提升、資訊洩漏或資料竄改等攻擊。(CVE-2022-31617)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,核心模式層中有一個弱點 ,具有基本功能的本機使用者可利用此弱點造成程式解除參照 NULL 指標,進而導致拒絕服務。(CVE-2022-34665)

- 在適用於 Windows 的 NVIDIA GPU 顯示驅動程式中,核心模式層中有一個弱點 ,具有基本功能的本機使用者可利用此弱點造成程式解除參照 NULL 指標,進而導致拒絕服務。(CVE-2022-34666)

請注意,Nessus 並未嘗試惡意利用這些問題,而是僅依據驅動程式自我報告的版本號碼作出判斷。

解決方案

依照廠商公告,升級 NVIDIA 圖形驅動程式。

另請參閱

http://www.nessus.org/u?0968b96b

Plugin 詳細資訊

嚴重性: High

ID: 163887

檔案名稱: nvidia_win_2022_08.nasl

版本: 1.3

類型: local

代理程式: windows

系列: Windows

已發布: 2022/8/5

已更新: 2022/8/8

組態: 啟用 Paranoid 模式

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-31606

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: cpe:2.3:a:nvidia:gpu_driver:*:*:*:*:*:*:*:*

必要的 KB 項目: Settings/ParanoidReport, WMI/DisplayDrivers/NVIDIA

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/8/4

弱點發布日期: 2022/8/4

參考資訊

CVE: CVE-2022-31610, CVE-2022-31613, CVE-2022-31616, CVE-2022-34665, CVE-2022-31612, CVE-2022-31617, CVE-2022-31606, CVE-2022-34666

IAVA: 2022-A-0309